/* $Id: pos_eucjp.h,v 1.5 2007/02/16 09:58:52 sako Exp $                                       */

#ifdef INIT_HINSHI_DATA_TABLE

struct {
	int 	id;
	char	*name;
} hinshiTable[] = {
  	{H_MEISHI_FUTSUU_IPPAN,         "名詞-普通名詞-一般"},
  	{H_MEISHI_FUTSUU_SAHEN,         "名詞-普通名詞-サ変可能"},
  	{H_MEISHI_FUTSUU_SAHENKEIJOU,   "名詞-普通名詞-サ変形状詞可能"},
  	{H_MEISHI_FUTSUU_KEIJOU,        "名詞-普通名詞-形状詞可能"},
  	{H_MEISHI_FUTSUU_FUKUSHI,       "名詞-普通名詞-副詞可能"},
  	{H_MEISHI_KOYUU_IPPAN,          "名詞-固有名詞-一般"},
  	{H_MEISHI_KOYUU_JINMEI_IPPAN,   "名詞-固有名詞-人名-一般"},
  	{H_MEISHI_KOYUU_JINMEI_SEI,     "名詞-固有名詞-人名-姓"},
  	{H_MEISHI_KOYUU_JINMEI_MEI,     "名詞-固有名詞-人名-名"},
  	{H_MEISHI_KOYUU_CHIMEI_IPPAN,   "名詞-固有名詞-地名-一般"},
  	{H_MEISHI_KOYUU_CHIMEI_KUNI,    "名詞-固有名詞-地名-国"},
  	{H_MEISHI_KOYUU_SOSHIKI,        "名詞-固有名詞-組織名"},
  	{H_MEISHI_JODOUSHIGOKAN,        "名詞-助動詞語幹"},
  	{H_MEISHI_KAZU_IPPAN,           "名詞-数詞-一般"},
  	{H_MEISHI_KAZU_KETA,            "名詞-数詞-桁"},
  	{H_MEISHI_KAZU,                 "名詞-数詞"},
  	{H_DAIMEISHI,                   "代名詞"},
  
  	{H_KEIJOUSHI_IPPAN,             "形状詞-一般"},
  	{H_KEIJOUSHI_JODOUGOKAN,        "形状詞-助動詞語幹"},
  	{H_KEIJOUSHI_TARI,              "形状詞-タリ"},
  	{H_KANDOUSHI_IPPAN,             "感動詞-一般"},
  	{H_KANDOUSHI_FILLER,            "感動詞-フィラー"},
  
  	{H_DOUSHI_IPPAN,                "動詞-一般"},
  	{H_DOUSHI_HIJIRITSU,            "動詞-非自立可能"},
  
  	{H_KEIYOUSHI_IPPAN,             "形容詞-一般"},
  	{H_KEIYOUSHI_HIJIRITSU,         "形容詞-非自立可能"},
  
  	{H_JOSHI_KAKUJOSHI,             "助詞-格助詞"},
  	{H_JOSHI_KAKUJOSHI_IPPAN,       "助詞-格助詞-一般"},
  	{H_JOSHI_KAKUJOSHI_RENYOU,      "助詞-格助詞-連用可能"},
  	{H_JOSHI_KAKUJOSHI_RENTAI,      "助詞-格助詞-連体可能"},
  	{H_JOSHI_FUKUJOSHI,             "助詞-副助詞"},
  	{H_JOSHI_KAKARIJOSHI,           "助詞-係助詞"},
  	{H_JOSHI_SETSUZOKUJOSHI,        "助詞-接続助詞"},
  	{H_JOSHI_SHUUJOSHI,             "助詞-終助詞"},
  	{H_JOSHI_JUNTAIJOSHI,           "助詞-準体助詞"},

  	{H_SETTOUJI_MEISHI_IPPAN,       "接頭辞-名詞接続-一般"},
  	{H_SETTOUJI_MEISHI_SUUSHI,      "接頭辞-名詞接続-数詞"},
  	{H_SETTOUJI_KEIJOUSHI,          "接頭辞-形状詞接続"},
  	{H_SETTOUJI_DOUSHI,             "接頭辞-動詞接続"},
  	{H_SETTOUJI_KEIYOUSHI,          "接頭辞-形容詞接続"},
  	{H_SETTOUJI,                    "接頭辞"},
  
  	{H_SETSUBIJI_MEISHI_IPPAN,      "接尾辞-名詞的-一般"},
  	{H_SETSUBIJI_MEISHI_SAHEN,      "接尾辞-名詞的-サ変可能"},
  	{H_SETSUBIJI_MEISHI_SAHENKEIJOU,"接尾辞-名詞的-サ変形状詞可能"},
  	{H_SETSUBIJI_MEISHI_KEIJOU,     "接尾辞-名詞的-形状詞可能"},
  	{H_SETSUBIJI_MEISHI_HUKUSHI,    "接尾辞-名詞的-副詞可能"},
  	{H_SETSUBIJI_MEISHI_JINMEI,     "接尾辞-名詞的-人名"},
  	{H_SETSUBIJI_MEISHI_CHIMEI,     "接尾辞-名詞的-地名"},
  	{H_SETSUBIJI_MEISHI_SOHIKI,     "接尾辞-名詞的-組織名"},
  	{H_SETSUBIJI_MEISHI_JOSHUUSHI,  "接尾辞-名詞的-助数詞"},
  	{H_SETSUBIJI_KEIJOUSHI,         "接尾辞-形状詞的"},
  	{H_SETSUBIJI_DOUSHI,            "接尾辞-動詞的"},
  	{H_SETSUBIJI_KEIYOUSHI,         "接尾辞-形容詞的"},
  
  	{H_JODOUSHI,                    "助動詞"},
  	{H_RENTAISHI,                   "連体詞"},
  	{H_SETSUZOKUSHI,                "接続詞"},
  	{H_FUKUSHI,                     "副詞"},

  	{H_KIGOU_IPPAN,                 "記号-一般"},
  	{H_KIGOU_MOJI,                  "記号-文字"},
  	{H_KIGOU_SUUJI,                 "記号-数字"},
  	{H_SONOTA_IPPAN,                "その他-一般"},
  	{H_SONOTA_SUUJI,                "その他-数字"},
  	{H_SONOTA_KUUHAKU,              "その他-空白"},
  	{H_SONOTA_KUTEN,                "その他-句点"},
  	{H_SONOTA_TOUTEN,               "その他-読点"},
  	{H_SONOTA_KAKKO_HIRAKU,         "その他-括弧開"},
  	{H_SONOTA_KAKKO_TOJIRU,         "その他-括弧閉"},
  	{H_SONOTA_IPPAN,                "補助記号-一般"},
  	{H_SONOTA_SUUJI,                "補助記号-数字"},
  	{H_SONOTA_KUUHAKU,              "補助記号-空白"},
  	{H_SONOTA_KUTEN,                "補助記号-句点"},
  	{H_SONOTA_TOUTEN,               "補助記号-読点"},
  	{H_SONOTA_KAKKO_HIRAKU,         "補助記号-括弧開"},
  	{H_SONOTA_KAKKO_TOJIRU,         "補助記号-括弧閉"},
  	{H_KUUHAKU,                     "空白"}
};

#define	NUM_HINSHI	(sizeof(hinshiTable)/sizeof(hinshiTable[0]))

struct {
	int 	id;
	char	*name;
} katsuyougataTable[] = {
	{KATA_GODAN_KAGYOU_IPPAN_IPPAN, "五段-カ行-一般-一般"},
	{KATA_GODAN_KAGYOU_IPPAN_IDAN, "五段-カ行-一般-イ段"},
	{KATA_GODAN_KAGYOU_IPPAN, "五段-カ行-一般"},
	{KATA_GODAN_KAGYOU_IKU, "五段-カ行-イク"},
	{KATA_GODAN_KAGYOU_YUKU, "五段-カ行-ユク"},
	{KATA_GODAN_GAGYOU_IPPAN, "五段-ガ行-一般"},
	{KATA_GODAN_GAGYOU_IDAN, "五段-ガ行-イ段"},
	{KATA_GODAN_GAGYOU, "五段-ガ行"},
	{KATA_GODAN_SAGYOU, "五段-サ行"},
	{KATA_GODAN_TAGYOU, "五段-タ行"},
	{KATA_GODAN_NAGYOU, "五段-ナ行"},
	{KATA_GODAN_BAGYOU, "五段-バ行"},
	{KATA_GODAN_MAGYOU_IPPAN, "五段-マ行-一般"},
	{KATA_GODAN_MAGYOU_SUMU, "五段-マ行-済ム"},
	{KATA_GODAN_MAGYOU, "五段-マ行"},
	{KATA_GODAN_RAGYOU_IPPAN, "五段-ラ行-一般"},
	{KATA_GODAN_RAGYOU_ARU, "五段-ラ行-アル"},
	{KATA_GODAN_RAGYOU_SARU, "五段-ラ行-サル"},
	{KATA_GODAN_WAAGYOU_ADAN_IPPAN, "五段-ワア行-ア段-一般"},
	{KATA_GODAN_WAAGYOU_IPPAN, "五段-ワア行-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_AU_IPPAN, "五段-ワア行-ア段-アウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_AU_AU, "五段-ワア行-ア段-アウ-あう"},
	{KATA_GODAN_WAAGYOU_ADAN_KAU_IPPAN, "五段-ワア行-ア段-カウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_KAU_KAU, "五段-ワア行-ア段-カウ-かう"},
	{KATA_GODAN_WAAGYOU_ADAN_GAU_IPPAN, "五段-ワア行-ア段-ガウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_GAU_GAU, "五段-ワア行-ア段-ガウ-がう"},
	{KATA_GODAN_WAAGYOU_ADAN_TAU_IPPAN, "五段-ワア行-ア段-タウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_TAU_TAU, "五段-ワア行-ア段-タウ-たう"},
	{KATA_GODAN_WAAGYOU_ADAN_DAU_IPPAN, "五段-ワア行-ア段-ダウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_DAU_DAU, "五段-ワア行-ア段-ダウ-だう"},
	{KATA_GODAN_WAAGYOU_ADAN_NAU_IPPAN, "五段-ワア行-ア段-ナウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_NAU_NAU, "五段-ワア行-ア段-ナウ-なう"},
	{KATA_GODAN_WAAGYOU_ADAN_HAU_IPPAN, "五段-ワア行-ア段-ハウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_HAU_HAU, "五段-ワア行-ア段-ハウ-はう"},
	{KATA_GODAN_WAAGYOU_ADAN_BAU_IPPAN, "五段-ワア行-ア段-バウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_BAU_BAU, "五段-ワア行-ア段-バウ-ばう"},
	{KATA_GODAN_WAAGYOU_ADAN_MAU_IPPAN, "五段-ワア行-ア段-マウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_MAU_MAU, "五段-ワア行-ア段-マウ-まう"},
	{KATA_GODAN_WAAGYOU_ADAN_YAU_IPPAN, "五段-ワア行-ア段-ヤウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_YAU_YAU, "五段-ワア行-ア段-ヤウ-やう"},
	{KATA_GODAN_WAAGYOU_ADAN_RAU_IPPAN, "五段-ワア行-ア段-ラウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_RAU_RAU, "五段-ワア行-ア段-ラウ-らう"},
	{KATA_GODAN_WAAGYOU_ADAN_WAU_IPPAN, "五段-ワア行-ア段-ワウ-一般"},
	{KATA_GODAN_WAAGYOU_ADAN_WAU_WAU, "五段-ワア行-ア段-ワウ-わう"},
	{KATA_GODAN_WAAGYOU_IDAN_IPPAN, "五段-ワア行-イ段-一般"},
	{KATA_GODAN_WAAGYOU_IDAN_IU, "五段-ワア行-イ段-イウ"},
	{KATA_GODAN_WAAGYOU_UDAN_IPPAN, "五段-ワア行-ウ段-一般"},
	{KATA_GODAN_WAAGYOU_UDAN_TUU, "五段-ワア行-ウ段-ツウ"},
	{KATA_GODAN_WAAGYOU_EDAN, "五段-ワア行-エ段"},
	{KATA_GODAN_WAAGYOU_ODAN, "五段-ワア行-オ段"},
	{KATA_UEICHIDAN_AGYOU_IPPAN, "上一段-ア行-一般"},
	{KATA_UEICHIDAN_AGYOU_IDAN, "上一段-ア行-イ段"},
	{KATA_UEICHIDAN_AGYOU, "上一段-ア行"},
	{KATA_UEICHIDAN_KAGYOU, "上一段-カ行"},
	{KATA_UEICHIDAN_GAGYOU, "上一段-ガ行"},
	{KATA_UEICHIDAN_ZAGYOU, "上一段-ザ行"},
	{KATA_UEICHIDAN_TAGYOU, "上一段-タ行"},
	{KATA_UEICHIDAN_NAGYOU, "上一段-ナ行"},
	{KATA_UEICHIDAN_HAGYOU, "上一段-ハ行"},
	{KATA_UEICHIDAN_BAGYOU, "上一段-バ行"},
	{KATA_UEICHIDAN_MAGYOU, "上一段-マ行"},
	{KATA_UEICHIDAN_RAGYOU_IPPAN, "上一段-ラ行-一般"},
	{KATA_UEICHIDAN_RAGYOU_RIRU, "上一段-ラ行-リル"},
	{KATA_UEICHIDAN_RAGYOU, "上一段-ラ行"},
	{KATA_SHIMOICHIDAN_AGYOU_IPPAN, "下一段-ア行-一般"},
	{KATA_SHIMOICHIDAN_AGYOU_EDAN, "下一段-ア行-エ段"},
	{KATA_SHIMOICHIDAN_AGYOU, "下一段-ア行"},
	{KATA_SHIMOICHIDAN_KAGYOU, "下一段-カ行"},
	{KATA_SHIMOICHIDAN_GAGYOU, "下一段-ガ行"},
	{KATA_SHIMOICHIDAN_SAGYOU_IPPAN, "下一段-サ行-一般"},
	{KATA_SHIMOICHIDAN_SAGYOU_SERU, "下一段-サ行-セル"},
	{KATA_SHIMOICHIDAN_SAGYOU, "下一段-サ行"},
	{KATA_SHIMOICHIDAN_ZAGYOU, "下一段-ザ行"},
	{KATA_SHIMOICHIDAN_TAGYOU, "下一段-タ行"},
	{KATA_SHIMOICHIDAN_DAGYOU, "下一段-ダ行"},
	{KATA_SHIMOICHIDAN_NAGYOU, "下一段-ナ行"},
	{KATA_SHIMOICHIDAN_HAGYOU, "下一段-ハ行"},
	{KATA_SHIMOICHIDAN_BAGYOU, "下一段-バ行"},
	{KATA_SHIMOICHIDAN_MAGYOU, "下一段-マ行"},
	{KATA_SHIMOICHIDAN_RAGYOU_IPPAN, "下一段-ラ行-一般"},
	{KATA_SHIMOICHIDAN_RAGYOU_RERU, "下一段-ラ行-レル"},
	{KATA_SHIMOICHIDAN_RAGYOU_KURERU, "下一段-ラ行-呉レル"},
	{KATA_KAGYOUHENKAKU_IPPAN, "カ行変格-一般"},
	{KATA_KAGYOUHENKAKU_KURU, "カ行変格-くる"},
	{KATA_KAGYOUHENKAKU, "カ行変格"},
	{KATA_SAGYOUHENKAKU_IRU, "サ行変格-為ル"},
	{KATA_SAGYOUHENKAKU_SURU, "サ行変格-スル"},
	{KATA_SAGYOUHENKAKU_ZURU, "サ行変格-ズル"},
	{KATA_SAGYOUHENKAKU, "サ行変格"},
	{KATA_ZAGYOUHENKAKU, "ザ行変格"},
	{KATA_BUNGOYODAN_KAGYOU, "文語四段-カ行"},
	{KATA_BUNGOYODAN_GAGYOU, "文語四段-ガ行"},
	{KATA_BUNGOYODAN_SAGYOU, "文語四段-サ行"},
	{KATA_BUNGOYODAN_TAGYOU, "文語四段-タ行"},
	{KATA_BUNGOYODAN_HAGYOU_ADAN_KAU_IPPAN, "文語四段-ハ行-ア段-カウ-一般"},
	{KATA_BUNGOYODAN_HAGYOU_ADAN_KAU_KAU, "文語四段-ハ行-ア段-カウ-かふ"},
	{KATA_BUNGOYODAN_HAGYOU_ADAN_GAU_IPPAN, "文語四段-ハ行-ア段-ガウ-一般"},
	{KATA_BUNGOYODAN_HAGYOU_ADAN_GAU_GAU, "文語四段-ハ行-ア段-ガウ-がふ"},
	{KATA_BUNGOYODAN_HAGYOU_ADAN_NAU_IPPAN, "文語四段-ハ行-ア段-ナウ-一般"},
	{KATA_BUNGOYODAN_HAGYOU_ADAN_NAU_NAU, "文語四段-ハ行-ア段-ナウ-なふ"},
	{KATA_BUNGOYODAN_HAGYOU_ADAN_TAMAU_IPPAN, "文語四段-ハ行-ア段-給ウ-一般"},
	{KATA_BUNGOYODAN_HAGYOU_ADAN_TAMAU_MAU, "文語四段-ハ行-ア段-給ウ-まふ"},
	{KATA_BUNGOYODAN_HAGYOU_HU, "文語四段-ハ行-ふ"},
	{KATA_BUNGOYODAN_HAGYOU_IDAN_IPPAN, "文語四段-ハ行-イ段-一般"},
	{KATA_BUNGOYODAN_HAGYOU_IDAN_IU, "文語四段-ハ行-イ段-イウ"},
	{KATA_BUNGOYODAN_HAGYOU_UDAN, "文語四段-ハ行-ウ段"},
	{KATA_BUNGOYODAN_HAGYOU_EDAN, "文語四段-ハ行-エ段"},
	{KATA_BUNGOYODAN_HAGYOU_ODAN, "文語四段-ハ行-オ段"},
	{KATA_BUNGOYODAN_BAGYOU, "文語四段-バ行"},
	{KATA_BUNGOYODAN_MAGYOU, "文語四段-マ行"},
	{KATA_BUNGOYODAN_RAGYOU, "文語四段-ラ行"},
	{KATA_BUNGONIDAN_KAGYOU, "文語上二段-カ行"},
	{KATA_BUNGOKAMINIDAN_GAGYOU, "文語上二段-ガ行"},
	{KATA_BUNGOKAMINIDAN_TAGYOU, "文語上二段-タ行"},
	{KATA_BUNGOKAMINIDAN_DAGYOU, "文語上二段-ダ行"},
	{KATA_BUNGOKAMINIDAN_HAGYOU, "文語上二段-ハ行"},
	{KATA_BUNGOKAMINIDAN_BAGYOU, "文語上二段-バ行"},
	{KATA_BUNGOKAMINIDAN_MAGYOU, "文語上二段-マ行"},
	{KATA_BUNGOKAMINIDAN_YAGYOU, "文語上二段-ヤ行"},
	{KATA_BUNGOKAMINIDAN_RAGYOU, "文語上二段-ラ行"},
	{KATA_BUNGOSHIMONIDAN_AGYOU_IPPAN, "文語下二段-ア行-一般"},
	{KATA_BUNGOSHIMONIDAN_AGYOU_U, "文語下二段-ア行-う"},
	{KATA_BUNGOSHIMONIDAN_AGYOU,  "文語下二段-ア行"},
	{KATA_BUNGOSHIMONIDAN_KAGYOU, "文語下二段-カ行"},
	{KATA_BUNGOSHIMONIDAN_GAGYOU, "文語下二段-ガ行"},
	{KATA_BUNGOSHIMONIDAN_SAGYOU, "文語下二段-サ行"},
	{KATA_BUNGOSHIMONIDAN_ZAGYOU, "文語下二段-ザ行"},
	{KATA_BUNGOSHIMONIDAN_TAGYOU, "文語下二段-タ行"},
	{KATA_BUNGOSHIMONIDAN_DAGYOU_IPPAN, "文語下二段-ダ行-一般"},
	{KATA_BUNGOSHIMONIDAN_DAGYOU_DU, "文語下二段-ダ行-づ"},
	{KATA_BUNGOSHIMONIDAN_NAGYOU_IPPAN, "文語下二段-ナ行-一般"},
	{KATA_BUNGOSHIMONIDAN_NAGYOU_NU, "文語下二段-ナ行-ぬ"},
	{KATA_BUNGOSHIMONIDAN_NAGYOU, "文語下二段-ナ行"},
	{KATA_BUNGOSHIMONIDAN_HAGYOU_IPPAN, "文語下二段-ハ行-一般"},
	{KATA_BUNGOSHIMONIDAN_HAGYOU_KEI_IPPAN, "文語下二段-ハ行-経-一般"},
	{KATA_BUNGOSHIMONIDAN_HAGYOU_KEI_HU, "文語下二段-ハ行-経-ふ"},
	{KATA_BUNGOSHIMONIDAN_HAGYOU, "文語下二段-ハ行"},
	{KATA_BUNGOSHIMONIDAN_BAGYOU, "文語下二段-バ行"},
	{KATA_BUNGOSHIMONIDAN_MAGYOU, "文語下二段-マ行"},
	{KATA_BUNGOSHIMONIDAN_YAGYOU, "文語下二段-ヤ行"},
	{KATA_BUNGOSHIMONIDAN_RAGYOU, "文語下二段-ラ行"},
	{KATA_BUNGOSHIMONIDAN_RA, "文語下二段-ワ行"},
	{KATA_BUNGOKAGYOUHENKAKU_IPPAN, "文語カ行変格-一般"},
	{KATA_BUNGOKAGYOUHENKAKU_KU, "文語カ行変格-く"},
	{KATA_BUNGOKAGYOUHENKAKU, "文語カ行変格"},
	{KATA_BUNGOSAGYOUHENKAKU_SU, "文語サ行変格-ス"},
	{KATA_BUNGOSAGYOUHENKAKU_ZU, "文語サ行変格-ズ"},
	{KATA_BUNGONAGYOUHENKAKU, "文語ナ行変格"},
	{KATA_BUNGORAGYOUHENKAKU, "文語ラ行変格"},
	{KATA_KEIYOUSHI_ADAN_KAI_IPPAN, "形容詞-ア段-カイ-一般"},
	{KATA_KEIYOUSHI_ADAN_KAI_KAI, "形容詞-ア段-カイ-かい"},
	{KATA_KEIYOUSHI_ADAN_GAI_IPPAN, "形容詞-ア段-ガイ-一般"},
	{KATA_KEIYOUSHI_ADAN_GAI_GAI, "形容詞-ア段-ガイ-がい"},
	{KATA_KEIYOUSHI_ADAN_SAI_IPPAN, "形容詞-ア段-サイ-一般"},
	{KATA_KEIYOUSHI_ADAN_SAI_SAI, "形容詞-ア段-サイ-さい"},
	{KATA_KEIYOUSHI_ADAN_TAI_IPPAN, "形容詞-ア段-タイ-一般"},
	{KATA_KEIYOUSHI_ADAN_TAI_TAI, "形容詞-ア段-タイ-たい"},
	{KATA_KEIYOUSHI_ADAN_CHAI_IPPAN, "形容詞-ア段-チャイ-一般"},
	{KATA_KEIYOUSHI_ADAN_CHAI_CHAI, "形容詞-ア段-チャイ-ちゃい"},
	{KATA_KEIYOUSHI_ADAN_NAI_IPPAN, "形容詞-ア段-ナイ-一般"},
	{KATA_KEIYOUSHI_ADAN_NAI_NAI, "形容詞-ア段-ナイ-ない"},
	{KATA_KEIYOUSHI_ADAN_BAI_IPPAN, "形容詞-ア段-バイ-一般"},
	{KATA_KEIYOUSHI_ADAN_BAI_BAI, "形容詞-ア段-バイ-ばい"},
	{KATA_KEIYOUSHI_ADAN_PAI_IPPAN, "形容詞-ア段-パイ-一般"},
	{KATA_KEIYOUSHI_ADAN_PAI_PAI, "形容詞-ア段-パイ-ぱい"},
	{KATA_KEIYOUSHI_ADAN_MAI_IPPAN, "形容詞-ア段-マイ-一般"},
	{KATA_KEIYOUSHI_ADAN_MAI_MAI, "形容詞-ア段-マイ-まい"},
	{KATA_KEIYOUSHI_ADAN_YAI_IPPAN, "形容詞-ア段-ヤイ-一般"},
	{KATA_KEIYOUSHI_ADAN_YAI_YAI, "形容詞-ア段-ヤイ-やい"},
	{KATA_KEIYOUSHI_ADAN_RAI_IPPAN, "形容詞-ア段-ライ-一般"},
	{KATA_KEIYOUSHI_ADAN_RAI_RAI, "形容詞-ア段-ライ-らい"},
	{KATA_KEIYOUSHI_ADAN_WAI_IPPAN, "形容詞-ア段-ワイ-一般"},
	{KATA_KEIYOUSHI_ADAN_WAI_WAI, "形容詞-ア段-ワイ-わい"},
	{KATA_KEIYOUSHI_ADAN_KNAI_IPPAN, "形容詞-ア段-無イ-一般"},
	{KATA_KEIYOUSHI_ADAN_KNAI_NAI, "形容詞-ア段-無イ-ない"},
	{KATA_KEIYOUSHI_IDAN_IPPAN, "形容詞-イ段-一般"},
	{KATA_KEIYOUSHI_IDAN_YOI, "形容詞-イ段-良イ"},
	{KATA_KEIYOUSHI_UDAN_UI_IPPAN, "形容詞-ウ段-ウイ-一般"},
	{KATA_KEIYOUSHI_UDAN_UI_UI, "形容詞-ウ段-ウイ-うい"},
	{KATA_KEIYOUSHI_UDAN_KUI_IPPAN, "形容詞-ウ段-クイ-一般"},
	{KATA_KEIYOUSHI_UDAN_KUI_KUI, "形容詞-ウ段-クイ-くい"},
	{KATA_KEIYOUSHI_UDAN_GUI_IPPAN, "形容詞-ウ段-グイ-一般"},
	{KATA_KEIYOUSHI_UDAN_GUI_GUI, "形容詞-ウ段-グイ-ぐい"},
	{KATA_KEIYOUSHI_UDAN_SUI_IPPAN, "形容詞-ウ段-スイ-一般"},
	{KATA_KEIYOUSHI_UDAN_SUI_SUI, "形容詞-ウ段-スイ-すい"},
	{KATA_KEIYOUSHI_UDAN_ZUI_IPPAN, "形容詞-ウ段-ズイ-一般"},
	{KATA_KEIYOUSHI_UDAN_ZUI_ZUI, "形容詞-ウ段-ズイ-ずい"},
	{KATA_KEIYOUSHI_UDAN_TUI_IPPAN, "形容詞-ウ段-ツイ-一般"},
	{KATA_KEIYOUSHI_UDAN_TUI_TUI, "形容詞-ウ段-ツイ-つい"},
	{KATA_KEIYOUSHI_UDAN_BUI_IPPAN, "形容詞-ウ段-ブイ-一般"},
	{KATA_KEIYOUSHI_UDAN_BUI_BUI, "形容詞-ウ段-ブイ-ぶい"},
	{KATA_KEIYOUSHI_UDAN_MUI_IPPAN, "形容詞-ウ段-ムイ-一般"},
	{KATA_KEIYOUSHI_UDAN_MUI_MUI, "形容詞-ウ段-ムイ-むい"},
	{KATA_KEIYOUSHI_UDAN_YUI_IPPAN, "形容詞-ウ段-ユイ-一般"},
	{KATA_KEIYOUSHI_UDAN_YUI_YUI, "形容詞-ウ段-ユイ-ゆい"},
	{KATA_KEIYOUSHI_UDAN_RUI_IPPAN, "形容詞-ウ段-ルイ-一般"},
	{KATA_KEIYOUSHI_UDAN_RUI_RUI, "形容詞-ウ段-ルイ-るい"},
	{KATA_KEIYOUSHI_EDAN, "形容詞-エ段"},
	{KATA_KEIYOUSHI_ODAN_OI_IPPAN_IPPAN, "形容詞-オ段-オイ-一般-一般"},
	{KATA_KEIYOUSHI_ODAN_OI_IPPAN_ODAN, "形容詞-オ段-オイ-一般-オ段"},
	{KATA_KEIYOUSHI_ODAN_OI_IPPAN, "形容詞-オ段-オイ-おい-一般"},
	{KATA_KEIYOUSHI_ODAN_OI_ODAN, "形容詞-オ段-オイ-おい-オ段"},
	{KATA_KEIYOUSHI_ODAN_KOI_IPPAN, "形容詞-オ段-コイ-一般"},
	{KATA_KEIYOUSHI_ODAN_KOI_KOI, "形容詞-オ段-コイ-こい"},
	{KATA_KEIYOUSHI_ODAN_GOI_IPPAN, "形容詞-オ段-ゴイ-一般"},
	{KATA_KEIYOUSHI_ODAN_GOI_GOI, "形容詞-オ段-ゴイ-ごい"},
	{KATA_KEIYOUSHI_ODAN_SHOI_IPPAN, "形容詞-オ段-ショイ-一般"},
	{KATA_KEIYOUSHI_ODAN_SHOI_SHOI, "形容詞-オ段-ショイ-しょい"},
	{KATA_KEIYOUSHI_ODAN_SOI_IPPAN, "形容詞-オ段-ソイ-一般"},
	{KATA_KEIYOUSHI_ODAN_SOI_SOI, "形容詞-オ段-ソイ-そい"},
	{KATA_KEIYOUSHI_ODAN_ZOI_IPPAN, "形容詞-オ段-ゾイ-一般"},
	{KATA_KEIYOUSHI_ODAN_ZOI_ZOI, "形容詞-オ段-ゾイ-ぞい"},
	{KATA_KEIYOUSHI_ODAN_TOI_IPPAN, "形容詞-オ段-トイ-一般"},
	{KATA_KEIYOUSHI_ODAN_TOI_TOI, "形容詞-オ段-トイ-とい"},
	{KATA_KEIYOUSHI_ODAN_DOI_IPPAN, "形容詞-オ段-ドイ-一般"},
	{KATA_KEIYOUSHI_ODAN_DOI_DOI, "形容詞-オ段-ドイ-どい"},
	{KATA_KEIYOUSHI_ODAN_BOI_IPPAN, "形容詞-オ段-ボイ-一般"},
	{KATA_KEIYOUSHI_ODAN_BOI_BOI, "形容詞-オ段-ボイ-ぼい"},
	{KATA_KEIYOUSHI_ODAN_BOI_BOI, "形容詞-オ段-ポイ-一般"},
	{KATA_KEIYOUSHI_ODAN_POI_POI, "形容詞-オ段-ポイ-ぽい"},
	{KATA_KEIYOUSHI_ODAN_MOI_IPPAN, "形容詞-オ段-モイ-一般"},
	{KATA_KEIYOUSHI_ODAN_MOI_MOI, "形容詞-オ段-モイ-もい"},
	{KATA_KEIYOUSHI_ODAN_YOI_IPPAN, "形容詞-オ段-ヨイ-一般"},
	{KATA_KEIYOUSHI_ODAN_YOI_YOI, "形容詞-オ段-ヨイ-よい"},
	{KATA_KEIYOUSHI_ODAN_ROI_IPPAN, "形容詞-オ段-ロイ-一般"},
	{KATA_KEIYOUSHI_ODAN_ROI_ROI, "形容詞-オ段-ロイ-ろい"},
	{KATA_KEIYOUSHI_ODAN_KYOI_IPPAN, "形容詞-オ段-良イ-一般"},
	{KATA_KEIYOUSHI_ODAN_KYOI_YOI, "形容詞-オ段-良イ-よい"},
	{KATA_BUNKEIYOUSHI_KU, "文語形容詞-ク"},
	{KATA_BUNKEIYOUSHI_OOSHI, "文語形容詞-多シ"},
	{KATA_BUNKEIYOUSHI_SHIKU, "文語形容詞-シク"},
	{KATA_KEIYOUSHI, "形容詞"},
	{KATA_JODOUSHI_JA, "助動詞-ジャ"},
	{KATA_JODOUSHI_TA, "助動詞-タ"},
	{KATA_JODOUSHI_TAI, "助動詞-タイ"},
	{KATA_JODOUSHI_DA, "助動詞-ダ"},
	{KATA_JODOUSHI_DESU, "助動詞-デス"},
	{KATA_JODOUSHI_NAI, "助動詞-ナイ"},
	{KATA_JODOUSHI_NU, "助動詞-ヌ"},
	{KATA_JODOUSHI_MASU, "助動詞-マス"},
	{KATA_JODOUSHI_YA, "助動詞-ヤ"},
	{KATA_JODOUSHI_YASU, "助動詞-ヤス"},
	{KATA_JODOUSHI_RASHII, "助動詞-ラシイ"},
	{KATA_BUNGOJODOUSHI_KI, "文語助動詞-キ"},
	{KATA_BUNGOJODOUSHI_KEMU, "文語助動詞-ケム"},
	{KATA_BUNGOJODOUSHI_KERI, "文語助動詞-ケリ"},
	{KATA_BUNGOJODOUSHI_GOTOSHI, "文語助動詞-ゴトシ"},
	{KATA_BUNGOJODOUSHI_ZAMASU, "文語助動詞-ザマス"},
	{KATA_BUNGOJODOUSHI_ZU, "文語助動詞-ズ"},
	{KATA_BUNGOJODOUSHI_TARI, "文語助動詞-タリ"},
	{KATA_BUNGOJODOUSHI_TU, "文語助動詞-ツ"},
	{KATA_BUNGOJODOUSHI_NARI, "文語助動詞-ナリ"},
	{KATA_BUNGOJODOUSHI_NU, "文語助動詞-ヌ"},
	{KATA_BUNGOJODOUSHI_BESHI, "文語助動詞-ベシ"},
	{KATA_BUNGOJODOUSHI_MAJI, "文語助動詞-マジ"},
	{KATA_BUNGOJODOUSHI_MU, "文語助動詞-ム"},
	{KATA_BUNGOJODOUSHI_RASHI, "文語助動詞-ラシ"},
	{KATA_BUNGOJODOUSHI_RAMU, "文語助動詞-ラム"},
	{KATA_BUNGOJODOUSHI_RI, "文語助動詞-リ"},
	{KATA_BUNGOJODOUSHI_NSU, "文語助動詞-ンス"},
	{KATA_MUHENKAGATA, "無変化型"}
};

#define	NUM_KATSUYOUGATA (sizeof(katsuyougataTable)/sizeof(katsuyougataTable[0]))

struct {
	int 	id;
	char	*name;
} katsuyoukeiTable[] = {
 	{KEI_GOKAN_IPPAN, "語幹-一般"},
 	{KEI_GOKAN_SA, "語幹-サ"},
 	{KEI_MIZEN_IPPAN_HE, "未然形-一般:ヘ"},
 	{KEI_MIZEN_IPPAN, "未然形-一般"},
 	{KEI_MIZEN_HATSUON, "未然形-撥音便"},
 	{KEI_MIZEN_ZU, "未然形-ズ接続"},
 	{KEI_MIZEN_SERU, "未然形-セル接続"},
 	{KEI_MIZEN_HOJO, "未然形-補助"},
 	{KEI_ISHISUIRYOU_IPPAN_TAN, "意志推量形-一般:短縮"},
 	{KEI_ISHISUIRYOU_IPPAN, "意志推量形-一般"},
 	{KEI_ISHISUIRYOU_SOKUON, "意志推量形-促音便"},
 	{KEI_ISHISUIRYOU, "意志推量形"},
 	{KEI_RENYOU_IPPAN_SHI, "連用形-一般:シ"},
 	{KEI_RENYOU_IPPAN, "連用形-一般"},
 	{KEI_RENYOU_IONBIN, "連用形-イ音便"},
 	{KEI_RENYOU_UONBIN, "連用形-ウ音便"},
 	{KEI_RENYOU_SOKUONBIN_SU, "連用形-促音便:スッ"},
 	{KEI_RENYOU_SOKUONBIN, "連用形-促音便"},
 	{KEI_RENYOU_HATSUONBIN, "連用形-撥音便"},
 	{KEI_RENYOU_YUUGOU, "連用形-融合"},
 	{KEI_RENYOU_YUUGOU_CHA, "連用形-融合:チャ"},
 	{KEI_RENYOU_HOJO, "連用形-補助"},
 	{KEI_RENYOU_TO, "連用形-ト"},
 	{KEI_RENYOU_NI, "連用形-ニ"},
 	{KEI_KIHON_IPPAN_CHA, "基本形-一般:チャ"},
 	{KEI_KIHON_IPPAN, "基本形-一般"},
 	{KEI_KIHON_UONBIN, "基本形-ウ音便"},
 	{KEI_KIHON_SOKUONBIN, "基本形-促音便"},
 	{KEI_KIHON_HATSUONBIN, "基本形-撥音便"},
 	{KEI_KIHON_E, "基本形-エ"},
 	{KEI_RENTAI_IPPAN, "連体形-一般"},
 	{KEI_RENTAI_IPPAN_TAN, "連体形-一般:短縮"},
 	{KEI_RENTAI_SHOURYAKU, "連体形-省略"},
 	{KEI_RENTAI_HOJO, "連体形-補助"},
 	{KEI_RENTAI_E_TAN, "連体形-エ:短縮"},
 	{KEI_KATEI_IPPAN, "仮定形-一般"},
 	{KEI_KATEI_YUUGOU_KYA, "仮定形-融合:キャ"},
 	{KEI_KATEI_YUUGOU, "仮定形-融合"},
 	{KEI_MIZEN_IPPAN, "已然形-一般"},
 	{KEI_IZEN_HOJO, "已然形-補助"},
 	{KEI_IZEN, "已然形"},
 	{KEI_MEIREI_IPPAN, "命令形-一般"},
 	{KEI_MEIREI_I, "命令形-イ"},
 	{KEI_MEIREI_KO, "命令形-コ"},
 	{KEI_MEIREI_SHI, "命令形-シ"},
 	{KEI_MEIREI_RO, "命令形-ロ"},
 	{KEI_MEIREI, "命令形"}
};
#define	NUM_KATSUYOUKEI	(sizeof(katsuyoukeiTable)/sizeof(katsuyoukeiTable[0]))

#endif	/* INIT_HINSHI_DATA_TABLE */
